// ---=== Sky ===--
// q3map_sunExt <red> <green> <blue> <intensity> <degrees> <elevation> <deviance> <samples>
// intensity falls off with angle but not distance 100 is a fairly bright sun
// degree of 0 = from the east, 90 = north, etc.  altitude of 0 = sunrise/set, 90 = noon
// deviance: The number of degrees for the half-shadow. General values up to 2 or 3 are acceptable. 
// The real sun has a solid angle of about half a degree.
// samples: the number of random jitters distributed over the solid arc (~16).
// this sky must be compiled with Q3Map2 2.5.11 or later using -skyfix

textures/ut4_queenod/qod_sky
{
	qer_editorimage env/ut4_queenod/qod2_bk.tga
	skyparms env/ut4_queenod/qod2 512 -	
	
	q3map_sunEXT 0.9 0.9 0.9 200 0 90 1 16
//	q3map_lightRGB 0.7 0.8 1.0
	q3map_lightmapFilterRadius 0 8
	q3map_skyLight 300 3
	q3map_globaltexture
	q3map_lightsubdivide 256
	q3map_backsplash 0 0

	surfaceparm sky
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nodlight

	nopicmip
	nomipmaps
}

// ---=== Ladderclip ===---

textures/ut4_queenod/qod_ladderclip
{
	qer_editorimage textures/kittywumpus/kw_ladder.tga
	qer_trans 0.40
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm playerclip
	surfaceparm noimpact
	surfaceparm ladder
	surfaceparm trans
}

// ---=== Holopanels ===---

textures/ut4_queenod/qod_hologo_b
{
	qer_editorimage textures/ut4_queenod/fsk_holosign1/fsk_holosign_b1
	surfaceparm nonsolid
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	q3map_surfacelight 10
	cull none

	{
		animMap 1.25 textures/ut4_queenod/fsk_holosign1/fsk_holosign_b1.jpg textures/ut4_queenod/fsk_holosign1/fsk_holosign_b1.jpg	textures/ut4_queenod/fsk_holosign1/fsk_holosign_b2.jpg textures/ut4_queenod/fsk_holosign1/fsk_holosign_b2.jpg textures/ut4_queenod/fsk_holosign1/fsk_holosign_b2.jpg textures/ut4_queenod/fsk_holosign1/fsk_holosign_b3.jpg textures/ut4_queenod/fsk_holosign1/fsk_holosign_b7.jpg
		blendFunc GL_ONE GL_ONE
	}
}

textures/ut4_queenod/qod_hologo_r
{
	qer_editorimage textures/ut4_queenod/fsk_holosign1/fsk_holosign_r1
	surfaceparm nonsolid
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	q3map_surfacelight 10
	cull none

	{
		animMap 1.25 textures/ut4_queenod/fsk_holosign1/fsk_holosign_r1.jpg textures/ut4_queenod/fsk_holosign1/fsk_holosign_r1.jpg textures/ut4_queenod/fsk_holosign1/fsk_holosign_r2.jpg textures/ut4_queenod/fsk_holosign1/fsk_holosign_r2.jpg textures/ut4_queenod/fsk_holosign1/fsk_holosign_r2.jpg textures/ut4_queenod/fsk_holosign1/fsk_holosign_r3.jpg textures/ut4_queenod/fsk_holosign1/fsk_holosign_r7.jpg
		blendFunc GL_ONE GL_ONE
	}
}

// ---=== no damage textures ===---

textures/ut4_queenod/e8base_blue:q3map
{
	surfaceparm nodamage
}

textures/ut4_queenod/e8base_red:q3map
{
	surfaceparm nodamage
}

textures/ut4_queenod/e8_base1c:q3map
{
	surfaceparm nodamage
}

textures/ut4_queenod/e8clangfloor05c:q3map
{
	surfaceparm nodamage
}

textures/ut4_queenod/e8cretefloor01c:q3map
{
	surfaceparm nodamage
}

textures/ut4_queenod/solid_black16:q3map
{
	surfaceparm nodamage
}

textures/ut4_queenod/solid_blue16:q3map
{
	surfaceparm nodamage
}

textures/ut4_queenod/solid_drkpurple16:q3map
{
	surfaceparm nodamage
}

textures/ut4_queenod/solid_green16:q3map
{
	surfaceparm nodamage
}

textures/ut4_queenod/solid_orange16:q3map
{
	surfaceparm nodamage
}

textures/ut4_queenod/solid_pink16:q3map
{
	surfaceparm nodamage
}

textures/ut4_queenod/solid_purple16:q3map
{
	surfaceparm nodamage
}

textures/ut4_queenod/solid_red16:q3map
{
	surfaceparm nodamage
}

textures/ut4_queenod/solid_white16:q3map
{
	surfaceparm nodamage
}

textures/ut4_queenod/solid_yellow16:q3map
{
	surfaceparm nodamage
}

// ---=== Glass ===---

textures/ut4_queenod/qod_glass_nd
{
	qer_editorimage textures/kittywumpus/kw_glass_nodam.tga
	qer_trans 0.9
	surfaceparm nodamage
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm detail
	cull none
//	q3map_bounce .1

	{
		map textures/ut4_queenod/glass3.tga
		tcGen environment
		blendFunc add
		rgbGen identity
	}
}

textures/ut4_queenod/qod_glass_slick_nd
{
	qer_editorimage textures/kittywumpus/kw_glass_nodam_slick.tga
	qer_trans 0.9
	surfaceparm nodamage
	surfaceparm nolightmap
	surfaceparm slick
	surfaceparm trans
	surfaceparm detail
	cull none
//	q3map_bounce .1

	{
		map textures/ut4_queenod/glass3.tga
		tcGen environment
		blendFunc add
		rgbGen identity
	}
}

// ---=== shiny ===---

textures/ut4_queenod/qod_chrome1
{
	qer_editorimage textures/ut4_queenod/chrome1.tga

	{
		map textures/ut4_queenod/chrome_env.tga
		rgbGen identity
		tcGen environment
		tcmod scale .25 .25
	}
	
	{
		map textures/ut4_queenod/chrome1.tga
		blendFunc GL_ONE_MINUS_SRC_ALPHA GL_SRC_ALPHA	
		rgbGen identity
	}
	{
		map $lightmap
		blendfunc filter
		rgbGen identity
	}
}

textures/ut4_queenod/qod_shn_e8base1c
{
	qer_editorimage textures/ut4_queenod/e8_base1c.jpg
	surfaceparm nodamage

	{
		map textures/ut4_queenod/e8_base1c.jpg
	}
	{
		map textures/ut4_queenod/glass3.tga
		tcmod scale .5 .5
		tcGen environment
		blendfunc gl_dst_color gl_src_color
	}
	{
		map $lightmap
		blendfunc filter
	}
}

textures/ut4_queenod/qod_shn_e8baseblue
{
	qer_editorimage textures/ut4_queenod/e8base_blue.jpg
	surfaceparm nodamage

	{
		map textures/ut4_queenod/e8base_blue.jpg
	}
	{
		map textures/ut4_queenod/glass3.tga
		tcmod scale .5 .5
		tcGen environment
		blendfunc gl_dst_color gl_src_color
	}
	{
		map $lightmap
		blendfunc filter
	}
}

textures/ut4_queenod/qod_shn_e8basered
{
	qer_editorimage textures/ut4_queenod/e8base_red.jpg
	surfaceparm nodamage

	{
		map textures/ut4_queenod/e8base_red.jpg
	}
	{
		map textures/ut4_queenod/glass3.tga
		tcmod scale .5 .5
		tcGen environment
		blendfunc gl_dst_color gl_src_color
	}
	{
		map $lightmap
		blendfunc filter
	}
}

// ---=== Light Emitting Textures ===---

textures/ut4_queenod/qod_arrowg
{
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	cull none
	polygonOffset
	nomipmaps
	nopicmip
	q3map_surfacelight 100
	qer_editorimage textures/ut4_queenod/arrow_ggrad2.jpg
	{
		animMap 7 textures/ut4_queenod/arrow_grad1.jpg textures/ut4_queenod/arrow_ggrad4.jpg textures/ut4_queenod/arrow_ggrad3.jpg textures/ut4_queenod/arrow_ggrad2.jpg textures/ut4_queenod/arrow_ggrad3.jpg textures/ut4_queenod/arrow_ggrad4.jpg
		blendFunc GL_ONE GL_ONE
 	}
}

textures/ut4_queenod/qod_arrowo
{
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	cull none
	polygonOffset
	nomipmaps
	nopicmip
	q3map_surfacelight 100
	qer_editorimage textures/ut4_queenod/arrow_ograd2.jpg
	{
		animMap 7 textures/ut4_queenod/arrow_grad1.jpg textures/ut4_queenod/arrow_ograd4.jpg textures/ut4_queenod/arrow_ograd3.jpg textures/ut4_queenod/arrow_ograd2.jpg textures/ut4_queenod/arrow_ograd3.jpg textures/ut4_queenod/arrow_ograd4.jpg
		blendFunc GL_ONE GL_ONE
 	}
}

textures/ut4_queenod/qod_arrowp
{
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	cull none
	polygonOffset
	nomipmaps
	nopicmip
	q3map_surfacelight 100
	qer_editorimage textures/ut4_queenod/arrow_grad2.jpg
	{
		animMap 7 textures/ut4_queenod/arrow_grad1.jpg textures/ut4_queenod/arrow_grad4.jpg textures/ut4_queenod/arrow_grad3.jpg textures/ut4_queenod/arrow_grad2.jpg textures/ut4_queenod/arrow_grad3.jpg textures/ut4_queenod/arrow_grad4.jpg
		blendFunc GL_ONE GL_ONE
 	}
}

textures/ut4_queenod/e6basicstrip_blue
{
	qer_editorimage textures/ut4_queenod/e6basicstrip_blue.tga
	q3map_surfacelight 100
	surfaceparm nodamage
	surfaceparm nomarks
	surfaceparm nolightmap
//	surfaceparm nonsolid
		
	{
		map textures/ut4_queenod/e6basicstrip_blue.tga
	}
}

textures/ut4_queenod/e6basicstrip_green
{
	qer_editorimage textures/ut4_queenod/e6basicstrip_green.tga
	q3map_surfacelight 100
	surfaceparm nodamage
	surfaceparm nomarks
	surfaceparm nolightmap
//	surfaceparm nonsolid
		
	{
		map textures/ut4_queenod/e6basicstrip_green.tga
	}
}

textures/ut4_queenod/e6basicstrip_orange
{
	qer_editorimage textures/ut4_queenod/e6basicstrip_orange.tga
	q3map_surfacelight 100
	surfaceparm nodamage
	surfaceparm nomarks
	surfaceparm nolightmap
//	surfaceparm nonsolid
		
	{
		map textures/ut4_queenod/e6basicstrip_orange.tga
	}
}

textures/ut4_queenod/e6basicstrip_purple
{
	qer_editorimage textures/ut4_queenod/e6basicstrip_purple.tga
	q3map_surfacelight 100
	surfaceparm nodamage
	surfaceparm nomarks
	surfaceparm nolightmap
//	surfaceparm nonsolid
		
	{
		map textures/ut4_queenod/e6basicstrip_purple.tga
	}
}

textures/ut4_queenod/e6basicstrip_red
{
	qer_editorimage textures/ut4_queenod/e6basicstrip_red.tga
	q3map_surfacelight 100
	surfaceparm nodamage
	surfaceparm nomarks
	surfaceparm nolightmap
//	surfaceparm nonsolid
		
	{
		map textures/ut4_queenod/e6basicstrip_red.tga
	}
}

textures/ut4_queenod/e6basicstrip_white
{
	qer_editorimage textures/ut4_queenod/e6basicstrip_white.tga
	q3map_surfacelight 100
	surfaceparm nodamage
	surfaceparm nomarks
	surfaceparm nolightmap
//	surfaceparm nonsolid
		
	{
		map textures/ut4_queenod/e6basicstrip_white.tga
	}
}

textures/ut4_queenod/e6basicstrip_yellow
{
	qer_editorimage textures/ut4_queenod/e6basicstrip_yellow.tga
	q3map_surfacelight 100
	surfaceparm nodamage
	surfaceparm nomarks
	surfaceparm nolightmap
//	surfaceparm nonsolid
		
	{
		map textures/ut4_queenod/e6basicstrip_yellow.tga
	}
}

textures/ut4_queenod/qod_teleorbb
{
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nolightmap
	cull none
	q3map_surfacelight 200
	qer_editorimage textures/ut4_queenod/soc_blue_telep.jpg
	qer_trans 0.4
	{
		map textures/ut4_queenod/soc_blue_telep.jpg
		tcmod rotate 360
		blendFunc GL_ONE GL_ONE
	}
}

textures/ut4_queenod/qod_teleorbg
{
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nolightmap
	cull none
	q3map_surfacelight 200
	qer_editorimage textures/ut4_queenod/soc_telep_green.jpg
	qer_trans 0.4
	{
		map textures/ut4_queenod/soc_telep_green.jpg
		tcmod rotate 360
		blendFunc GL_ONE GL_ONE
	}
}

textures/ut4_queenod/qod_teleorbo
{
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nolightmap
	cull none
	q3map_surfacelight 200
	qer_editorimage textures/ut4_queenod/soc_telep_orange.jpg
	qer_trans 0.4
	{
		map textures/ut4_queenod/soc_telep_orange.jpg
		tcmod rotate 360
		blendFunc GL_ONE GL_ONE
	}
}

textures/ut4_queenod/qod_teleorbp
{
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nolightmap
	cull none
	q3map_surfacelight 200
	qer_editorimage textures/ut4_queenod/soc_telep_purpl.jpg
	qer_trans 0.4
	{
		map textures/ut4_queenod/soc_telep_purpl.jpg
		tcmod rotate 360
		blendFunc GL_ONE GL_ONE
	}
}

textures/ut4_queenod/qod_teleorbr
{
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nolightmap
	cull none
	q3map_surfacelight 200
	qer_editorimage textures/ut4_queenod/soc_red_telep.jpg
	qer_trans 0.4
	{
		map textures/ut4_queenod/soc_red_telep.jpg
		tcmod rotate 360
		blendFunc GL_ONE GL_ONE
	}
}

// ---=== non-solids ===---

textures/ut4_queenod/qod_cg1_ns
{
	qer_editorimage textures/ut4_queenod/qod_cg1.jpg
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm nonsolid
		
	{
		map textures/ut4_queenod/qod_cg1.jpg
	}
}

textures/ut4_queenod/qod_harley2_ns
{
	qer_editorimage textures/ut4_queenod/qod_harley2.jpg
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm nonsolid
		
	{
		map textures/ut4_queenod/qod_harley2.jpg
	}
}

textures/ut4_queenod/qod_harley2b_ns
{
	qer_editorimage textures/ut4_queenod/qod_harley2b.jpg
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm nonsolid
		
	{
		map textures/ut4_queenod/qod_harley2b.jpg
	}
}

textures/ut4_queenod/qod_harley2r_ns
{
	qer_editorimage textures/ut4_queenod/qod_harley2r.jpg
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm nonsolid
		
	{
		map textures/ut4_queenod/qod_harley2r.jpg
	}
}

textures/ut4_queenod/qod_raven1_ns
{
	qer_editorimage textures/ut4_queenod/qod_raven1.jpg
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm nonsolid
		
	{
		map textures/ut4_queenod/qod_raven1.jpg
	}
}

textures/ut4_queenod/qod_stripbluens
{
	qer_editorimage textures/ut4_queenod/e6basicstrip_blue.tga
	qer_trans 0.9
	q3map_surfacelight 100
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm nonsolid
		
	{
		map textures/ut4_queenod/e6basicstrip_blue.tga
	}
}

textures/ut4_queenod/qod_stripgreenns
{
	qer_editorimage textures/ut4_queenod/e6basicstrip_green.tga
	qer_trans 0.9
	q3map_surfacelight 100
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm nonsolid
		
	{
		map textures/ut4_queenod/e6basicstrip_green.tga
	}
}

textures/ut4_queenod/qod_strippurplens
{
	qer_editorimage textures/ut4_queenod/e6basicstrip_purple.tga
	qer_trans 0.9
	q3map_surfacelight 100
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm nonsolid
		
	{
		map textures/ut4_queenod/e6basicstrip_purple.tga
	}
}

textures/ut4_queenod/qod_stripredns
{
	qer_editorimage textures/ut4_queenod/e6basicstrip_red.tga
	qer_trans 0.9
	q3map_surfacelight 100
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm nonsolid
		
	{
		map textures/ut4_queenod/e6basicstrip_red.tga
	}
}

textures/ut4_queenod/qod_stripwhitens
{
	qer_editorimage textures/ut4_queenod/e6basicstrip_white.tga
	qer_trans 0.9
	q3map_surfacelight 100
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm nonsolid
		
	{
		map textures/ut4_queenod/e6basicstrip_white.tga
	}
}

textures/ut4_queenod/qod_shn_base1cns
{
	qer_editorimage textures/ut4_queenod/e8_base1c.jpg
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm nonsolid

	{
		map textures/ut4_queenod/e8_base1c.jpg
	}
	{
		map textures/ut4_queenod/glass3.tga
		tcmod scale .5 .5
		tcGen environment
		blendfunc gl_dst_color gl_src_color
	}
	{
		map $lightmap
		blendfunc filter
	}
}

